/*
 * Copyright (c) 2018 Institute for Integrated Circuits, Johannes Kepler University.

 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:

 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.

 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
*/
package at.jku.iic.pmd;

/**
 * @author bklepic
 *
 */
public class FieldConfig {
	
	public class Source {
		int srcx, srcy;

		public Source(int srcx, int srcy) {
			super();
			this.srcx = srcx;
			this.srcy = srcy;
		}
	}
	
	public class Flow {        
		int length, dirchnum, sx, sy, ex, ey;

		public Flow(int length, int dirchnum, int sx, int sy, int ex, int ey) {
			super();
			this.length = length;
			this.dirchnum = dirchnum;
			this.sx = sx;
			this.sy = sy;
			this.ex = ex;
			this.ey = ey;
		}	
    }
	
	int flownum, srcnum, boundx, boundy, boundz, dirchnum;
    Flow[] flows;
    Source[] sources;
	public FieldConfig(int flownum, int srcnum, int boundx, int boundy, int boundz) {
		super();
		this.flownum = flownum;
		this.srcnum = srcnum;
		this.boundx = boundx;
		this.boundy = boundy;
		this.boundz = boundz;
		sources = new Source[srcnum];
		for (int i = 0; i < sources.length; i++) {
			sources[i] = new Source(0, 0);
		}
		flows = new Flow[flownum];
		for (int i = 0; i < flows.length; i++) {
			flows[i] = new Flow(0, 0, 0, 0, 0, 0);
		}
	}
    
	public void setFlow(int flownum, int length, int dirchnum, int sx, int sy, int ex, int ey){
		flows[flownum].length = length;
		flows[flownum].dirchnum = dirchnum;
		flows[flownum].sx = sx;
		flows[flownum].sy = sy;
		flows[flownum].ex = ex;
		flows[flownum].ey = ey;
	}
	
	public void setSource(int srcnum, int srcx, int srcy){
		sources[srcnum].srcx = srcx;
		sources[srcnum].srcy = srcy;
	}
}
